@import '../App.scss';

@font-face {
  font-family: 'RickAndMorty';
  src: url('../fonts/rick_and_morty.ttf');
}

.navbar {
  height: 10vh;
  background-color: $background;
  border-bottom: 2px solid $primary;

  .navbar-link {
    color: $white;
    transition: .3s;
    font-size: 1.5em;
    text-decoration: none;

    &:hover {
      color: $white;
      border-bottom: 1px solid $white;
    }
  }

  .navbar-title {
    font-size: 1.5em;
    font-family: 'RickAndMorty';
    color: $white;
  }
}

.content {
  height: 90vh;
  overflow: auto;
  background-color: $background;

  .product {
    background-color: $background_light;
    border-radius: 10px;

    .product-title,
    .product-text {
      color: $white;
    }

    .product-separator {
      background-color: $white;
    }

    .product-button {
      border: none;
      outline: none;
      background-color: $primary;
      border-radius: 20px;
      color: $white;
      text-decoration: none;

      &:hover {
        background-color: $primary_dark;
      }
    }
  }
}


.tg {
  border-collapse: collapse;
  border-spacing: 0;
}

.tg td {
  border: 1px solid $white;
  font-size: 1.2em;
  overflow: hidden;
  word-break: normal;
}

.tg th {
  font-size: 1.2em;
  border: 1px solid $white;
  font-weight: normal;
  overflow: hidden;
  word-break: normal;
}

.tg .tg-0lax {
  text-align: left;
  vertical-align: top
}

.delete-col {
  color: $red;
}